org.eclipse.viatra.transformation.runtime.emf.changemonitor

## Class ChangeDelta

- java.lang.Object
- - org.eclipse.viatra.transformation.runtime.emf.changemonitor.ChangeDelta

-     @Data
      public class ChangeDelta
      extends java.lang.Object

  Class representing the changes in a given instance model since the last checkpoint. It contains three MultiMaps which contain the changed elements sorted by the detecting QuerySpecifications.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `com.google.common.collect.Multimap<IQuerySpecification<? extends ViatraQueryMatcher<IPatternMatch>>,IPatternMatch>` | `appeared`
    `com.google.common.collect.Multimap<IQuerySpecification<? extends ViatraQueryMatcher<IPatternMatch>>,IPatternMatch>` | `disappeared`
    `com.google.common.collect.Multimap<IQuerySpecification<? extends ViatraQueryMatcher<IPatternMatch>>,IPatternMatch>` | `updated`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ChangeDelta(com.google.common.collect.Multimap<IQuerySpecification<? extends ViatraQueryMatcher<IPatternMatch>>,IPatternMatch> appeared, com.google.common.collect.Multimap<IQuerySpecification<? extends ViatraQueryMatcher<IPatternMatch>>,IPatternMatch> updated, com.google.common.collect.Multimap<IQuerySpecification<? extends ViatraQueryMatcher<IPatternMatch>>,IPatternMatch> disappeared)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `com.google.common.collect.Multimap<IQuerySpecification<? extends ViatraQueryMatcher<IPatternMatch>>,IPatternMatch>` | `getAppeared()`
    `com.google.common.collect.Multimap<IQuerySpecification<? extends ViatraQueryMatcher<IPatternMatch>>,IPatternMatch>` | `getDisappeared()`
    `com.google.common.collect.Multimap<IQuerySpecification<? extends ViatraQueryMatcher<IPatternMatch>>,IPatternMatch>` | `getUpdated()`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### appeared

          public final com.google.common.collect.Multimap<IQuerySpecification<? extends ViatraQueryMatcher<IPatternMatch>>,IPatternMatch> appeared

    - #### updated

          public final com.google.common.collect.Multimap<IQuerySpecification<? extends ViatraQueryMatcher<IPatternMatch>>,IPatternMatch> updated

    - #### disappeared

          public final com.google.common.collect.Multimap<IQuerySpecification<? extends ViatraQueryMatcher<IPatternMatch>>,IPatternMatch> disappeared

  - ### Constructor Detail

    - #### ChangeDelta

          public ChangeDelta(com.google.common.collect.Multimap<IQuerySpecification<? extends ViatraQueryMatcher<IPatternMatch>>,IPatternMatch> appeared,
                             com.google.common.collect.Multimap<IQuerySpecification<? extends ViatraQueryMatcher<IPatternMatch>>,IPatternMatch> updated,
                             com.google.common.collect.Multimap<IQuerySpecification<? extends ViatraQueryMatcher<IPatternMatch>>,IPatternMatch> disappeared)

  - ### Method Detail

    - #### hashCode

          @Pure
          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          @Pure
          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          @Pure
          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getAppeared

          @Pure
          public com.google.common.collect.Multimap<IQuerySpecification<? extends ViatraQueryMatcher<IPatternMatch>>,IPatternMatch> getAppeared()

    - #### getUpdated

          @Pure
          public com.google.common.collect.Multimap<IQuerySpecification<? extends ViatraQueryMatcher<IPatternMatch>>,IPatternMatch> getUpdated()

    - #### getDisappeared

          @Pure
          public com.google.common.collect.Multimap<IQuerySpecification<? extends ViatraQueryMatcher<IPatternMatch>>,IPatternMatch> getDisappeared()